<?php
/**
 * Template Name: Custom Home Page
 */

get_header(); ?>

<main id="maincontent" role="main">
  <?php do_action( 'vw_cleaning_company_before_slider' ); ?>

  <?php if( get_theme_mod( 'vw_cleaning_company_slider_arrows', false) == 1 || get_theme_mod( 'vw_cleaning_company_resp_slider_hide_show', false) == 1) { ?>
  <section id="slider">
    <?php if(get_theme_mod('vw_cleaning_company_slider_type', 'Default slider') == 'Default slider' ){ ?>
      <div id="carouselExampleCaptions" class="carousel slide" data-bs-ride="carousel" data-bs-interval="<?php echo esc_attr(get_theme_mod( 'vw_cleaning_company_slider_speed',4000)) ?>"> 
        <?php $vw_cleaning_company_pages = array();
          for ( $count = 1; $count <= 3; $count++ ) {
            $mod = intval( get_theme_mod( 'vw_cleaning_company_slider_page' . $count ));
            if ( 'page-none-selected' != $mod ) {
              $vw_cleaning_company_pages[] = $mod;
            }
          }
          if( !empty($vw_cleaning_company_pages) ) :
            $args = array(
              'post_type' => 'page',
              'post__in' => $vw_cleaning_company_pages,
              'orderby' => 'post__in'
            );
            $query = new WP_Query( $args );
            if ( $query->have_posts() ) :
              $i = 1;
        ?>     
        <div class="carousel-inner" role="listbox">
          <?php while ( $query->have_posts() ) : $query->the_post(); ?>
            <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
              <?php if(has_post_thumbnail()){
                the_post_thumbnail();
              } else{?>
                <img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/block-patterns/images/banner.png" alt="" />
              <?php } ?>
              <div class="carousel-caption">
                <div class="inner_carousel">
                  <h1 class="wow slideInRight" data-wow-duration="2s"><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
                  <p class="wow slideInRight" data-wow-duration="2s"><?php $vw_cleaning_company_excerpt = get_the_excerpt(); echo esc_html( vw_cleaning_company_string_limit_words( $vw_cleaning_company_excerpt, esc_attr(get_theme_mod('vw_cleaning_company_slider_excerpt_number','30')))); ?></p>
                  <?php if( get_theme_mod('vw_cleaning_company_slider_button_text','Read More') != ''){ ?>
                    <div class="more-btn wow slideInRight" data-wow-duration="2s">
                      <a href="<?php echo esc_url(get_permalink()); ?>"><i class="<?php echo esc_attr(get_theme_mod('vw_cleaning_company_slider_btn_icon','fas fa-angle-right')); ?>"></i><?php echo esc_html(get_theme_mod('vw_cleaning_company_slider_button_text',__('Read More','vw-cleaning-company')));?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('vw_cleaning_company_slider_button_text',__('Read More','vw-cleaning-company')));?></span></a>
                    </div>
                  <?php } ?>
                </div>
              </div>
            </div>
          <?php $i++; endwhile; 
          wp_reset_postdata();?>
        </div>
        <?php else : ?>
            <div class="no-postfound"></div>
        <?php endif;
        endif;?>
        <a class="carousel-control-prev" data-bs-target="#carouselExampleCaptions" data-bs-slide="prev" role="button">
          <span class="carousel-control-prev-icon w-auto h-auto" aria-hidden="true"><i class="fas fa-chevron-left"></i></span>
          <span class="screen-reader-text"><?php esc_html_e( 'Previous','vw-cleaning-company' );?></span>
        </a>
        <a class="carousel-control-next" data-bs-target="#carouselExampleCaptions" data-bs-slide="next" role="button">
          <span class="carousel-control-next-icon w-auto h-auto" aria-hidden="true"><i class="fas fa-chevron-right"></i></span>
          <span class="screen-reader-text"><?php esc_html_e( 'Next','vw-cleaning-company' );?></span>
        </a>
      </div>
      <div class="clearfix"></div>
    <?php } else if(get_theme_mod('vw_cleaning_company_slider_type', 'Advance slider') == 'Advance slider'){?>
      <?php echo do_shortcode(get_theme_mod('vw_cleaning_company_advance_slider_shortcode')); ?>
    <?php } ?>
  </section>
  <?php } ?>

  <?php do_action( 'vw_cleaning_company_after_slider' ); ?>

  <?php if( get_theme_mod('vw_cleaning_company_services_post1') != '' || get_theme_mod('vw_cleaning_company_services_post2') != '' || get_theme_mod('vw_cleaning_company_services_category') != ''){ ?>
    <section class="service">
      <div class="container">
        <div class="service-sec wow zoomInUp delay-1000" data-wow-duration="2s">
          <div class="row">
            <div class="col-lg-4 col-md-4">
              <?php
              $vw_cleaning_company_postData1 =  get_theme_mod('vw_cleaning_company_services_post1');
              if($vw_cleaning_company_postData1){
                $args = array( 'name' => esc_html($vw_cleaning_company_postData1 ,'vw-cleaning-company'));
                $query = new WP_Query( $args );
                if ( $query->have_posts() ) :
                  while ( $query->have_posts() ) : $query->the_post(); ?>
                    <?php the_post_thumbnail(); ?>
                    <h2><a href="<?php echo esc_url( get_permalink() );?>"><?php the_title(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2>
                    <p><?php $vw_cleaning_company_excerpt = get_the_excerpt(); echo esc_html( vw_cleaning_company_string_limit_words( $vw_cleaning_company_excerpt, esc_attr(get_theme_mod('vw_cleaning_company_services_excerpt_number','12')))); ?></p>
                  <?php endwhile; 
                  wp_reset_postdata();?>
                  <?php else : ?>
                    <div class="no-postfound"></div>
                  <?php
              endif; }?>
            </div>
            <div class="col-lg-4 col-md-4">
              <?php
              $vw_cleaning_company_postData1 =  get_theme_mod('vw_cleaning_company_services_post2');
              if($vw_cleaning_company_postData1){
                $args = array( 'name' => esc_html($vw_cleaning_company_postData1 ,'vw-cleaning-company'));
                $query = new WP_Query( $args );
                if ( $query->have_posts() ) :
                  while ( $query->have_posts() ) : $query->the_post(); ?>
                    <?php the_post_thumbnail(); ?>
                    <h2><a href="<?php echo esc_url( get_permalink() );?>"><?php the_title(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2>
                    <p><?php $vw_cleaning_company_excerpt = get_the_excerpt(); echo esc_html( vw_cleaning_company_string_limit_words( $vw_cleaning_company_excerpt, esc_attr(get_theme_mod('vw_cleaning_company_services_excerpt_number','12')))); ?></p>
                  <?php endwhile; 
                  wp_reset_postdata();?>
                  <?php else : ?>
                    <div class="no-postfound"></div>
                  <?php
              endif; }?>
            </div>
            <div class="col-lg-4 col-md-4">
              <div class="service-content">
                <?php 
                $vw_cleaning_company_catData=  get_theme_mod('vw_cleaning_company_services_category');
                  if($vw_cleaning_company_catData){
                    $page_query = new WP_Query(array( 'category_name' => esc_html( $vw_cleaning_company_catData ,'vw-cleaning-company')));?>
                      <?php while( $page_query->have_posts() ) : $page_query->the_post(); ?>
                        <div class="row">
                          <div class="col-lg-4 col-md-12">
                            <?php the_post_thumbnail(); ?>
                          </div>
                          <div class="<?php if(has_post_thumbnail()) { ?>col-lg-6 col-md-12" <?php } else { ?>col-lg-12 col-md-12" <?php } ?>>
                            <h3><a href="<?php echo esc_url( get_permalink() );?>"><?php the_title();?><span class="screen-reader-text"><?php the_title(); ?></span></a></h3>
                            <p><?php $vw_cleaning_company_excerpt = get_the_excerpt(); echo esc_html( vw_cleaning_company_string_limit_words( $vw_cleaning_company_excerpt, esc_attr(get_theme_mod('vw_cleaning_company_services_excerpt_number','8')))); ?></p>
                          </div>
                        </div>
                      <?php endwhile;
                    wp_reset_postdata();
                  } ?>
                </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  <?php }?>

  <?php do_action( 'vw_cleaning_company_after_service' ); ?>

  <div id="content-vw">
    <div class="container">
      <?php while ( have_posts() ) : the_post(); ?>
        <?php the_content(); ?>
      <?php endwhile; // end of the loop. ?>
    </div>
  </div>
</main>

<?php get_footer(); ?>